View Issue Details

IDProjectCategoryView StatusLast Update
0001087SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.2 
Target Version3.3.4Fixed in Version3.3.4 
Summary0001087: If engine.name isn't used, then some services are not available. Should be available as long as there is only one node deployed
DescriptionIf engine.name isn't used, then some services are not available. Should be available as long as there is only one node deployed.

This was broke in 3.3 as part of a fix to log better messages.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7102d91a

2013-03-02 14:43:14

chenson

Details Diff
0001087: If engine.name isn't used, then some services are not available. Should be available as long as there is only one node deployed
0001086: Make the 3.x use 1.x protocol for backwards compatibility

0001087
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Node.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvData.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataContext.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/ProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriter.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricServlet.java Diff File

Issue History

Date Modified Username Field Change
2013-03-02 13:57 chenson New Issue
2013-03-02 13:57 chenson Status new => assigned
2013-03-02 13:57 chenson Assigned To => chenson
2013-03-02 14:41 chenson Description Updated View Revisions
2013-03-02 14:41 chenson Status assigned => resolved
2013-03-02 14:41 chenson Fixed in Version => 3.4.0
2013-03-02 14:41 chenson Resolution open => fixed
2013-03-02 14:42 chenson Target Version 3.3.3 => 3.4.0
2013-03-05 13:59 chenson Fixed in Version 3.4.0 => 3.3.4
2013-03-05 13:59 chenson Target Version 3.4.0 => 3.3.4
2013-03-09 12:25 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6911
2014-02-02 20:53 Changeset attached => SymmetricDS 3.3 r6922
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7102d91a